Skip to content
Proud to collaborate with Microsoft for Startups

docusign.authorizations.get-user-authorization ​

Returns the details for the user authorization specified by the authorizationId. To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.

Returns the user authorization for a given authorization ID.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
authorizationidstringYes—The ID of the user authorization.
useridstringYes—The ID of the principal user.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
authorizationidstringYes—The ID of the user authorization.
useridstringYes—The ID of the principal user.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/users/{userId}/authorization/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/users/{userId}/authorization/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.authorizations.get-user-authorization",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "authorizationid": "value",
    "userid": "value"
  }
}